﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class managerGlobal : MonoBehaviour
{
    public int score = 0;
    public int highScore = 0;

    public int currentLevel = 1;
    public int highestLevel = 2;

    public static managerGlobal instance;

    HUDmanager HUDmanagerOBJ;

    //Keep save file data alive when switch scene
    void Awake()
    {
        if(instance == null)
        {
            instance = this;
        }
        else if(instance != this)
        {
            
            instance.HUDmanagerOBJ = FindObjectOfType<HUDmanager>();

            Destroy(gameObject);
        }

        DontDestroyOnLoad(gameObject);

        HUDmanagerOBJ = FindObjectOfType<HUDmanager>();
    }

    public void increaseScore(int amount)
    {
        score += amount;

        if(HUDmanagerOBJ != null)
        {
            HUDmanagerOBJ.resetScore();
        }
        

        print("New Score : " + score);

        if(score > highScore)
        {
            highScore = score;
            print("High Score : " + highScore);
        }
    }

    public void resetGame()
    {
        score = 0;
        currentLevel = 1;
        SceneManager.LoadScene("Level1");
        
        if(HUDmanagerOBJ != null)
        {
            HUDmanagerOBJ.resetScore();
        }

    }

    public void increaseLevel()
    {
        if(currentLevel < highestLevel)
        {
            currentLevel++;
        }
        else
        {
            currentLevel = 1;
        }

        SceneManager.LoadScene("Level" + currentLevel);
    }

    public void gameOver()
    {
        SceneManager.LoadScene("gameOver");
    }


}
